curl --request POST \
--url https://services.leadconnectorhq.com/locations/{locationId}/customFields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Custom Field",
"dataType": "TEXT",
"placeholder": "Placeholder Text",
"acceptedFormat": [
".pdf",
".docx",
".jpeg"
],
"isMultipleFile": false,
"maxNumberOfFiles": 2,
"textBoxListOptions": [
{
"label": "First",
"prefillValue": ""
}
],
"position": 0,
"model": "opportunity"
}
'{
"customField": {
"id": "3sv6UEo51C9Bmpo1cKTq",
"name": "pincode",
"fieldKey": "contact.pincode",
"placeholder": "Pin code",
"dataType": "TEXT",
"position": 0,
"picklistOptions": [
"first option"
],
"picklistImageOptions": [],
"isAllowedCustomOption": false,
"isMultiFileAllowed": true,
"maxFileLimit": 4,
"locationId": "3sv6UEo51C9Bmpo1cKTq",
"model": "opportunity"
}
}Create Custom Field
curl --request POST \
--url https://services.leadconnectorhq.com/locations/{locationId}/customFields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Custom Field",
"dataType": "TEXT",
"placeholder": "Placeholder Text",
"acceptedFormat": [
".pdf",
".docx",
".jpeg"
],
"isMultipleFile": false,
"maxNumberOfFiles": 2,
"textBoxListOptions": [
{
"label": "First",
"prefillValue": ""
}
],
"position": 0,
"model": "opportunity"
}
'{
"customField": {
"id": "3sv6UEo51C9Bmpo1cKTq",
"name": "pincode",
"fieldKey": "contact.pincode",
"placeholder": "Pin code",
"dataType": "TEXT",
"position": 0,
"picklistOptions": [
"first option"
],
"picklistImageOptions": [],
"isAllowedCustomOption": false,
"isMultiFileAllowed": true,
"maxFileLimit": 4,
"locationId": "3sv6UEo51C9Bmpo1cKTq",
"model": "opportunity"
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Location Id
"Custom Field"
"TEXT"
"Placeholder Text"
[".pdf", ".docx", ".jpeg"]false
2
Show child attributes
0
Model of the custom field you want to create
contact, opportunity "opportunity"
Successful response
Show child attributes
Was this page helpful?